Bug 1299146 - Review Request: python-epub - Python library for reading EPUB files
Review Request: python-epub - Python library for reading EPUB files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 11:29 EST by fszymanski
Modified: 2016-03-15 18:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 21:18:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description fszymanski 2016-01-16 11:29:04 EST
Spec URL: https://raw.githubusercontent.com/fszymanski/specfiles/master/python-epub/python-epub.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/fszymanski/python-epub/fedora-23-x86_64/00153862-python-epub/python-epub-0.5.2-1.fc23.src.rpm

Copr URL: https://copr.fedoraproject.org/coprs/fszymanski/python-epub/

Description:
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.

Fedora Account System Username: fszymanski

This is my second package, need a sponsor.
Comment 1 Upstream Release Monitoring 2016-01-16 11:41:10 EST
fszymanski's scratch build of python-epub-0.5.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12577081
Comment 2 fszymanski 2016-02-08 09:59:02 EST
My Fedora 'packager' membership has been sponsored.
Comment 3 Antonio Trande 2016-02-22 05:55:18 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

- Source code contains HTML documentation and man page; however, it's
  available in French only.

- Please, do package Python2 files in a python2-epub:

%files -n python2-%{srcname}

instead of

%files

  This package does not provide a python2 sub-package:

Provides
--------
python3-epub:
    python3-epub

python-epub:
    python-epub

- Perform all tests if possible.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 14 files have unknown license. Detailed
     output of licensecheck in /home/sagitter/FedoraReview/1299146-python-
     epub/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-epub
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-epub-0.5.2-1.fc24.noarch.rpm
          python3-epub-0.5.2-1.fc24.noarch.rpm
          python-epub-0.5.2-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-epub (rpmlib, GLIBC filtered):
    python(abi)

python-epub (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-epub:
    python3-epub

python-epub:
    python-epub



Source checksums
----------------
https://pypi.python.org/packages/source/e/epub/epub-0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 578c86aa8971f820c189166c5665a34e63a9ad93893931debbf1c350b9637fd2
  CHECKSUM(SHA256) upstream package : 578c86aa8971f820c189166c5665a34e63a9ad93893931debbf1c350b9637fd2


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1299146
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Upstream Release Monitoring 2016-02-22 17:51:06 EST
fszymanski's scratch build of python-epub-0.5.2-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13099451
Comment 6 Antonio Trande 2016-02-23 04:14:26 EST
About tests?
Comment 7 Upstream Release Monitoring 2016-02-23 13:55:19 EST
fszymanski's scratch build of python-epub-0.5.2-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13109799
Comment 8 fszymanski 2016-02-23 14:22:39 EST
(In reply to Antonio Trande from comment #6)
> About tests?

I'm sorry it was very late and I missed it.
The tarball from PyPI is missing some test files (e.g. test.epub) so I changed the Source0 URL to Bitbucket. I added a unittest patch to setup.py and I moved the html files to a doc subpackage.

Spec URL: https://fszymanski.fedorapeople.org/python-epub/python-epub.spec
SRPM URL: https://fszymanski.fedorapeople.org/python-epub/python-epub-0.5.2-3.fc23.src.rpm
Comment 9 Upstream Release Monitoring 2016-02-23 14:38:02 EST
fszymanski's scratch build of python-epub-0.5.2-3.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13110139
Comment 10 Antonio Trande 2016-02-24 05:28:07 EST
Package approved.

Note.
Consider providing  this package for EPEL if possible.
Comment 11 fszymanski 2016-02-24 06:32:53 EST
(In reply to Antonio Trande from comment #10)
> Package approved.
> 
> Note.
> Consider providing  this package for EPEL if possible.

Thanks.
Comment 12 Gwyn Ciesla 2016-02-24 08:35:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-epub
Comment 13 Fedora Update System 2016-02-24 14:59:45 EST
python-epub-0.5.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2d67009c2
Comment 14 Fedora Update System 2016-02-24 15:02:31 EST
python-epub-0.5.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-204860a60c
Comment 15 Fedora Update System 2016-02-25 05:52:30 EST
python-epub-0.5.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-204860a60c
Comment 16 Fedora Update System 2016-02-25 21:24:01 EST
python-epub-0.5.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2d67009c2
Comment 17 Fedora Update System 2016-02-29 02:57:46 EST
python-epub-0.5.2-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-11455d1187
Comment 18 Fedora Update System 2016-02-29 21:23:01 EST
python-epub-0.5.2-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-11455d1187
Comment 19 Fedora Update System 2016-03-03 21:18:38 EST
python-epub-0.5.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-03-05 01:23:26 EST
python-epub-0.5.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-03-15 18:47:09 EDT
python-epub-0.5.2-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.